/* simple opendir() etc. for Win32 */

#define _MAX_NAME 260

struct direct
{
	char d_name[_MAX_NAME];
	int d_namlen;
};

typedef struct _dir
{
        int first;
        long handle;
        struct _finddata_t dta;
	struct direct current;
}
DIR;

DIR *opendir(const char *name);
int closedir(DIR *x);
struct direct *readdir(DIR *thisdir);
